net.sf.jasperreports.engine.export.ooxml

## Class XlsxParagraphHelper

- java.lang.Object
- - net.sf.jasperreports.engine.export.ooxml.BaseHelper
  - - net.sf.jasperreports.engine.export.ooxml.XlsxParagraphHelper

-     public class XlsxParagraphHelper
      extends BaseHelper

  Version:
    $Id: XlsxParagraphHelper.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.engine.export.ooxml.BaseHelper

      `jasperReportsContext, writer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XlsxParagraphHelper(JasperReportsContext jasperReportsContext, java.io.Writer writer, boolean pageBreak)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `exportEmptyParagraph()`
    `void` | `exportProps(JRPrintText text)`
    `void` | `exportProps(JRStyle style)`
    `static java.lang.String` | `getHorizontalAlignment(HorizontalAlignEnum horizontalAlignment)`

    - ### Methods inherited from class net.sf.jasperreports.engine.export.ooxml.BaseHelper

      `close, flush, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XlsxParagraphHelper

          public XlsxParagraphHelper(JasperReportsContext jasperReportsContext,
                             java.io.Writer writer,
                             boolean pageBreak)

  - ### Method Detail

    - #### exportProps

          public void exportProps(JRStyle style)

    - #### exportProps

          public void exportProps(JRPrintText text)

    - #### exportEmptyParagraph

          public void exportEmptyParagraph()

    - #### getHorizontalAlignment

          public static java.lang.String getHorizontalAlignment(HorizontalAlignEnum horizontalAlignment)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com